function love.load(args)
	lg = love.graphics
	lm = love.math
	lk = love.keyboard
	lj = love.joystick

    controller = {unit = lj.getJoysticks(), dzone_y = 0.200, dzone_x = 0.200}
	screen = {w = 320, h = 224}

	lk.setKeyRepeat(true)
	lg.setDefaultFilter('nearest', 'nearest')

	camera = require'modules/camera'
	round = require'modules/round'
	player = require'modules/player'
	bullets = require'modules/bullets'
	level = require'modules/level'

	stick_sensitivity = 0.8 -- CHANGE
	speed = 180 -- send it to controller module

	level.init(1)

	--camera.setPosition(player.o.x-screen.w/2, player.o.y-screen.h/2)
	camera:set_limits(level.get_mapdata(1))

end

function love.update(dt)
	local stickx = 0
	if lk.isDown('right') then stickx = 1
	elseif lk.isDown('left') then stickx = -1 end

	local sticky = 0
	if lk.isDown('up') then sticky = -1
	elseif lk.isDown('down') then sticky = 1 end
	--controller.unit[1]:getGamepadAxis("leftx")
	--controller.unit[1]:getGamepadAxis("lefty")
	--local trigger_left = controller.unit[1]:getGamepadAxis('triggerleft')
	--local trigger_right = controller.unit[1]:getGamepadAxis('triggerright')

	--if stickx < controller.dzone_x and stickx > -controller.dzone_x then stickx = 0 end
	--if sticky < controller.dzone_y and sticky > -controller.dzone_y then sticky = 0 end

	local dx = (speed * dt)*stickx*stick_sensitivity
	local dy = (speed * dt)*sticky*stick_sensitivity

	player.update(round.decimal(dx,1), round.decimal(dy,1), level.get_mapdata(1))

	level.update(player.o.x, player.o.y)

	if lk.isDown('space') then
		bullets.spawn(player.o.x, player.o.y, dt)
	end

	bullets.update(dt)
end

function love.draw()

	love.graphics.scale(2)
	lg.setColor(255,255,255,255)
	--love.graphics.setBlendMode("alpha", "premultiplied")

	camera:set()
	--love.graphics.translate(screen.w/2, screen.h/2)
	level.draw()
	player.draw()
	player.draw_boundingbox()
	bullets.draw()

	camera:unset()
end

function love.resize(w, h)

end

function love.textinput(t)

end

function love.keypressed(key)
	if key == 'delete' then camera:rotate(0.4) end
	if key == 'escape' then love.event.quit(0) end
end
