local m = {}
local data = {speed = 280, threshold = 0.08, last = 0, img = lg.newImage('res/bullet.png')}
local bullets = {}

function m.spawn(x, y, dt)
	if data.last > data.threshold then
		bullets[#bullets+1] = {x = x-3, y = y-10}
		data.last = 0
	end
end

function m.update(dt)
	local rem = {}
	for i=1, #bullets do
		if bullets[i].y < 0 then rem[#rem+1] = i
		else bullets[i].y = bullets[i].y - data.speed * dt end
	end

	for i=1, #rem do
		table.remove(bullets, rem[i])
	end

	if data.last < data.threshold then data.last = data.last + dt end
end

function m.draw()
	for i=1, #bullets do
		lg.draw(data.img, bullets[i].x, bullets[i].y)
	end
end

return m
