camera = {}
camera.x = 0
camera.y = 0
camera.scaleX = 1
camera.scaleY = 1
camera.rotation = 0

camera.xlimits = {min = 0, max = 0}
camera.ylimits = {min = 0, max = 0}

function camera:set_limits(data)
	self.xlimits.max = data.xmax
	self.xlimits.min = data.xmin

	self.ylimits.max = data.xmax
	self.ylimits.min = data.xmin
end

function camera:set()
  love.graphics.push()
  love.graphics.rotate(-self.rotation)
  love.graphics.scale(1 / self.scaleX, 1 / self.scaleY)
  love.graphics.translate(-self.x, -self.y)
end

function camera:unset()
  love.graphics.pop()
end

function camera:move(dx, dy)
	self.x = self.x + (dx or 0)

	self.y = self.y + (dy or 0)
end

function camera:rotate(dr)
  self.rotation = self.rotation + dr
end

function camera:scale(sx, sy)
  sx = sx or 1
  self.scaleX = self.scaleX * sx
  self.scaleY = self.scaleY * (sy or sx)
end

function camera:setPosition(posx, posy)
  camera.x = posx or camera.x
  camera.y = posy or camera.y
end

function camera:setScale(sx, sy)
  self.scaleX = sx or self.scaleX
  self.scaleY = sy or self.scaleY
end

function camera:getX() return self.x end

return camera
