local m = {}
local data = require'templates/leveldata'
local h = 30
local grid = 16

local palette = data.get_palette()
local level = 1
local img

function m.init(lvl)
	level = lvl
	img = love.graphics.newCanvas(data[level].mapdata.w, data[level].mapdata.h)

	love.graphics.setCanvas(img)
		for i=0, data[level].mapdata.w/grid-1 do
			for j=0, data[level].mapdata.w/grid-1 do
				love.graphics.draw(palette[data[level][j+1][i+1]], i*grid, j*grid)
			end
		end
	love.graphics.setCanvas()
end

function m.update(px, py, r)
	local dx = px-screen.w/2 - camera.x --
	local dy = py-screen.h/2 - camera.y --
	if px > screen.w/2 and px < data[1].mapdata.w-screen.w/2 then
		camera:move(dx, 0)
	end

	if py > screen.h/2 and py < data[1].mapdata.h-screen.h/2 then
		camera:move(0, dy)
	end

	--camera:rotate(r)
end

function m.draw()
	love.graphics.draw(img, 0, 0)
end

function m.get_mapdata()
	return data[level].mapdata
end

return m
