local m = {}
local anim8 = require 'modules/anim8'
local batch = lg.newImage('res/helicopter.png')
local sprites ={lg.newQuad(10, 0, 10, 22, batch:getDimensions()), --
				lg.newQuad(20, 0, 10, 22, batch:getDimensions()), --
				lg.newQuad(30, 0, 10, 22, batch:getDimensions()), --
				lg.newQuad(40, 0, 10, 22, batch:getDimensions())} -- 

m.w = 10
m.h = 22
m.x = 256
m.y = 256
m.o = {x = m.x + m.w/2, y = m.y + m.h/2}

local sprite_index = 1
local grid = 16

function m.draw()
	local clr = {love.graphics.getColor()}

	love.graphics.draw(batch, sprites[sprite_index], m.x, m.y)
	love.graphics.setColor(0,0,0,70)
	love.graphics.draw(batch, sprites[sprite_index], m.x+10, m.y+12, 0, 0.6, 0.6)

	love.graphics.setColor(clr)
end

function m.update(dx, dy, mapdata)
	if dx < 0 and m.x > 0 and m.x < 2.5 then m.x = 0
	elseif dx>0 and m.x+m.w > mapdata.w-2.5 and m.x+m.w < mapdata.w then m.x = mapdata.w-m.w end

	if dy < 0 and m.y > 0 and m.y < 2.5 then m.y = 0
	elseif dy>0 and m.y+m.h > mapdata.h-2.5 and m.y+m.h < mapdata.h then m.y = mapdata.h-m.h end

	if m.x+dx>0 and m.x+dx+m.w <= mapdata.w then m.x = m.x + dx end
	if m.y+dy>0 and m.y+dy+m.h <= mapdata.h then m.y = m.y + dy end

	m.o = {x = m.x + m.w/2, y = m.y + m.h/2}
end

function m.getData() return {x = m.x, y = m.y, w = m.w, h = m.h} end

function m.draw_boundingbox()
	love.graphics.rectangle('line', m.x, m.y, m.w, m.h)
	love.graphics.print('x: '..m.x..'\ny: '..m.y, m.x+m.w+6, m.y-4)
end

return m
